/*-------------------------------------------------------------------------*
 |                                                                         
 |            STATA SUPPLEMENTAL SYNTAX FILE FOR ICPSR 31921
 |                DRUG ABUSE WARNING NETWORK (DAWN), 2009
 |
 |
 | This Stata missing value recode program is provided for optional use with
 | the Stata system version of this data file as distributed by ICPSR.
 | The program replaces user-defined numeric missing values (e.g., -9)
 | with generic system missing "."  Note that Stata allows you to specify
 | up to 27 unique missing value codes.  Only variables with user-defined
 | missing values are included in this program.
 |
 | To apply the missing value recodes, users need to first open the
 | Stata data file on their system, apply the missing value recodes if
 | desired, then save a new copy of the data file with the missing values
 | applied.  Users are strongly advised to use a different filename when
 | saving the new file.
 |
 *------------------------------------------------------------------------*/

replace AGECAT = . if (AGECAT <= -1 )
replace SEX = . if (SEX <= -1 )
replace RACE = . if (RACE <= -1 )
replace DRUGID_1 = . if (DRUGID_1 <= -1 )
replace CATID_1_1 = . if (CATID_1_1 <= -1 )
replace CATID_2_1 = . if (CATID_2_1 <= -1 )
replace CATID_3_1 = . if (CATID_3_1 <= -1 )
replace ROUTE_1 = . if (ROUTE_1 <= -1 )
replace TOXTEST_1 = . if (TOXTEST_1 <= -1 )
replace SDLED_1_1 = . if (SDLED_1_1 <= -1 )
replace SDLED_2_1 = . if (SDLED_2_1 <= -1.00 )
replace SDLED_3_1 = . if (SDLED_3_1 <= -1.00 )
replace SDLED_4_1 = . if (SDLED_4_1 <= -1.0000 )
replace SDLED_5_1 = . if (SDLED_5_1 <= -1.0000 )
replace SDLED_6_1 = . if (SDLED_6_1 <= -1.0000 )
replace DRUGID_2 = . if (DRUGID_2 <= -1 )
replace CATID_1_2 = . if (CATID_1_2 <= -1 )
replace CATID_2_2 = . if (CATID_2_2 <= -1 )
replace CATID_3_2 = . if (CATID_3_2 <= -1 )
replace ROUTE_2 = . if (ROUTE_2 <= -1 )
replace TOXTEST_2 = . if (TOXTEST_2 <= -1 )
replace SDLED_1_2 = . if (SDLED_1_2 <= -1 )
replace SDLED_2_2 = . if (SDLED_2_2 <= -1.00 )
replace SDLED_3_2 = . if (SDLED_3_2 <= -1.00 )
replace SDLED_4_2 = . if (SDLED_4_2 <= -1.0000 )
replace SDLED_5_2 = . if (SDLED_5_2 <= -1.0000 )
replace SDLED_6_2 = . if (SDLED_6_2 <= -1.0000 )
replace DRUGID_3 = . if (DRUGID_3 <= -1 )
replace CATID_1_3 = . if (CATID_1_3 <= -1 )
replace CATID_2_3 = . if (CATID_2_3 <= -1 )
replace CATID_3_3 = . if (CATID_3_3 <= -1 )
replace ROUTE_3 = . if (ROUTE_3 <= -1 )
replace TOXTEST_3 = . if (TOXTEST_3 <= -1 )
replace SDLED_1_3 = . if (SDLED_1_3 <= -1 )
replace SDLED_2_3 = . if (SDLED_2_3 <= -1.00 )
replace SDLED_3_3 = . if (SDLED_3_3 <= -1.00 )
replace SDLED_4_3 = . if (SDLED_4_3 <= -1.0000 )
replace SDLED_5_3 = . if (SDLED_5_3 <= -1.0000 )
replace SDLED_6_3 = . if (SDLED_6_3 <= -1.0000 )
replace DRUGID_4 = . if (DRUGID_4 <= -1 )
replace CATID_1_4 = . if (CATID_1_4 <= -1 )
replace CATID_2_4 = . if (CATID_2_4 <= -1 )
replace CATID_3_4 = . if (CATID_3_4 <= -1 )
replace ROUTE_4 = . if (ROUTE_4 <= -1 )
replace TOXTEST_4 = . if (TOXTEST_4 <= -1 )
replace SDLED_1_4 = . if (SDLED_1_4 <= -1 )
replace SDLED_2_4 = . if (SDLED_2_4 <= -1.00 )
replace SDLED_3_4 = . if (SDLED_3_4 <= -1.00 )
replace SDLED_4_4 = . if (SDLED_4_4 <= -1.0000 )
replace SDLED_5_4 = . if (SDLED_5_4 <= -1.0000 )
replace SDLED_6_4 = . if (SDLED_6_4 <= -1.0000 )
replace DRUGID_5 = . if (DRUGID_5 <= -1 )
replace CATID_1_5 = . if (CATID_1_5 <= -1 )
replace CATID_2_5 = . if (CATID_2_5 <= -1 )
replace CATID_3_5 = . if (CATID_3_5 <= -1 )
replace ROUTE_5 = . if (ROUTE_5 <= -1 )
replace TOXTEST_5 = . if (TOXTEST_5 <= -1 )
replace SDLED_1_5 = . if (SDLED_1_5 <= -1 )
replace SDLED_2_5 = . if (SDLED_2_5 <= -1.00 )
replace SDLED_3_5 = . if (SDLED_3_5 <= -1.00 )
replace SDLED_4_5 = . if (SDLED_4_5 <= -1.0000 )
replace SDLED_5_5 = . if (SDLED_5_5 <= -1.0000 )
replace SDLED_6_5 = . if (SDLED_6_5 <= -1.0000 )
replace DRUGID_6 = . if (DRUGID_6 <= -1 )
replace CATID_1_6 = . if (CATID_1_6 <= -1 )
replace CATID_2_6 = . if (CATID_2_6 <= -1 )
replace CATID_3_6 = . if (CATID_3_6 <= -1 )
replace ROUTE_6 = . if (ROUTE_6 <= -1 )
replace TOXTEST_6 = . if (TOXTEST_6 <= -1 )
replace SDLED_1_6 = . if (SDLED_1_6 <= -1 )
replace SDLED_2_6 = . if (SDLED_2_6 <= -1.00 )
replace SDLED_3_6 = . if (SDLED_3_6 <= -1.00 )
replace SDLED_4_6 = . if (SDLED_4_6 <= -1.0000 )
replace SDLED_5_6 = . if (SDLED_5_6 <= -1.0000 )
replace SDLED_6_6 = . if (SDLED_6_6 <= -1.0000 )
replace DRUGID_7 = . if (DRUGID_7 <= -1 )
replace CATID_1_7 = . if (CATID_1_7 <= -1 )
replace CATID_2_7 = . if (CATID_2_7 <= -1 )
replace CATID_3_7 = . if (CATID_3_7 <= -1 )
replace ROUTE_7 = . if (ROUTE_7 <= -1 )
replace TOXTEST_7 = . if (TOXTEST_7 <= -1 )
replace SDLED_1_7 = . if (SDLED_1_7 <= -1 )
replace SDLED_2_7 = . if (SDLED_2_7 <= -1.00 )
replace SDLED_3_7 = . if (SDLED_3_7 <= -1.00 )
replace SDLED_4_7 = . if (SDLED_4_7 <= -1.0000 )
replace SDLED_5_7 = . if (SDLED_5_7 <= -1.0000 )
replace SDLED_6_7 = . if (SDLED_6_7 <= -1.0000 )
replace DRUGID_8 = . if (DRUGID_8 <= -1 )
replace CATID_1_8 = . if (CATID_1_8 <= -1 )
replace CATID_2_8 = . if (CATID_2_8 <= -1 )
replace CATID_3_8 = . if (CATID_3_8 <= -1 )
replace ROUTE_8 = . if (ROUTE_8 <= -1 )
replace TOXTEST_8 = . if (TOXTEST_8 <= -1 )
replace SDLED_1_8 = . if (SDLED_1_8 <= -1 )
replace SDLED_2_8 = . if (SDLED_2_8 <= -1.00 )
replace SDLED_3_8 = . if (SDLED_3_8 <= -1.00 )
replace SDLED_4_8 = . if (SDLED_4_8 <= -1.0000 )
replace SDLED_5_8 = . if (SDLED_5_8 <= -1.0000 )
replace SDLED_6_8 = . if (SDLED_6_8 <= -1.0000 )
replace DRUGID_9 = . if (DRUGID_9 <= -1 )
replace CATID_1_9 = . if (CATID_1_9 <= -1 )
replace CATID_2_9 = . if (CATID_2_9 <= -1 )
replace CATID_3_9 = . if (CATID_3_9 <= -1 )
replace ROUTE_9 = . if (ROUTE_9 <= -1 )
replace TOXTEST_9 = . if (TOXTEST_9 <= -1 )
replace SDLED_1_9 = . if (SDLED_1_9 <= -1 )
replace SDLED_2_9 = . if (SDLED_2_9 <= -1.00 )
replace SDLED_3_9 = . if (SDLED_3_9 <= -1.00 )
replace SDLED_4_9 = . if (SDLED_4_9 <= -1.0000 )
replace SDLED_5_9 = . if (SDLED_5_9 <= -1.0000 )
replace SDLED_6_9 = . if (SDLED_6_9 <= -1.0000 )
replace DRUGID_10 = . if (DRUGID_10 <= -1 )
replace CATID_1_10 = . if (CATID_1_10 <= -1 )
replace CATID_2_10 = . if (CATID_2_10 <= -1 )
replace CATID_3_10 = . if (CATID_3_10 <= -1 )
replace ROUTE_10 = . if (ROUTE_10 <= -1 )
replace TOXTEST_10 = . if (TOXTEST_10 <= -1 )
replace SDLED_1_10 = . if (SDLED_1_10 <= -1 )
replace SDLED_2_10 = . if (SDLED_2_10 <= -1.00 )
replace SDLED_3_10 = . if (SDLED_3_10 <= -1.00 )
replace SDLED_4_10 = . if (SDLED_4_10 <= -1.0000 )
replace SDLED_5_10 = . if (SDLED_5_10 <= -1.0000 )
replace SDLED_6_10 = . if (SDLED_6_10 <= -1.0000 )
replace DRUGID_11 = . if (DRUGID_11 <= -1 )
replace CATID_1_11 = . if (CATID_1_11 <= -1 )
replace CATID_2_11 = . if (CATID_2_11 <= -1 )
replace CATID_3_11 = . if (CATID_3_11 <= -1 )
replace ROUTE_11 = . if (ROUTE_11 <= -1 )
replace TOXTEST_11 = . if (TOXTEST_11 <= -1 )
replace SDLED_1_11 = . if (SDLED_1_11 <= -1 )
replace SDLED_2_11 = . if (SDLED_2_11 <= -1.00 )
replace SDLED_3_11 = . if (SDLED_3_11 <= -1.00 )
replace SDLED_4_11 = . if (SDLED_4_11 <= -1.0000 )
replace SDLED_5_11 = . if (SDLED_5_11 <= -1.0000 )
replace SDLED_6_11 = . if (SDLED_6_11 <= -1.0000 )
replace DRUGID_12 = . if (DRUGID_12 <= -1 )
replace CATID_1_12 = . if (CATID_1_12 <= -1 )
replace CATID_2_12 = . if (CATID_2_12 <= -1 )
replace CATID_3_12 = . if (CATID_3_12 <= -1 )
replace ROUTE_12 = . if (ROUTE_12 <= -1 )
replace TOXTEST_12 = . if (TOXTEST_12 <= -1 )
replace SDLED_1_12 = . if (SDLED_1_12 <= -1 )
replace SDLED_2_12 = . if (SDLED_2_12 <= -1.00 )
replace SDLED_3_12 = . if (SDLED_3_12 <= -1.00 )
replace SDLED_4_12 = . if (SDLED_4_12 <= -1.0000 )
replace SDLED_5_12 = . if (SDLED_5_12 <= -1.0000 )
replace SDLED_6_12 = . if (SDLED_6_12 <= -1.0000 )
replace DRUGID_13 = . if (DRUGID_13 <= -1 )
replace CATID_1_13 = . if (CATID_1_13 <= -1 )
replace CATID_2_13 = . if (CATID_2_13 <= -1 )
replace CATID_3_13 = . if (CATID_3_13 <= -1 )
replace ROUTE_13 = . if (ROUTE_13 <= -1 )
replace TOXTEST_13 = . if (TOXTEST_13 <= -1 )
replace SDLED_1_13 = . if (SDLED_1_13 <= -1 )
replace SDLED_2_13 = . if (SDLED_2_13 <= -1.00 )
replace SDLED_3_13 = . if (SDLED_3_13 <= -1.00 )
replace SDLED_4_13 = . if (SDLED_4_13 <= -1.0000 )
replace SDLED_5_13 = . if (SDLED_5_13 <= -1.0000 )
replace SDLED_6_13 = . if (SDLED_6_13 <= -1.0000 )
replace DRUGID_14 = . if (DRUGID_14 <= -1 )
replace CATID_1_14 = . if (CATID_1_14 <= -1 )
replace CATID_2_14 = . if (CATID_2_14 <= -1 )
replace CATID_3_14 = . if (CATID_3_14 <= -1 )
replace ROUTE_14 = . if (ROUTE_14 <= -1 )
replace TOXTEST_14 = . if (TOXTEST_14 <= -1 )
replace SDLED_1_14 = . if (SDLED_1_14 <= -1 )
replace SDLED_2_14 = . if (SDLED_2_14 <= -1.00 )
replace SDLED_3_14 = . if (SDLED_3_14 <= -1.00 )
replace SDLED_4_14 = . if (SDLED_4_14 <= -1.0000 )
replace SDLED_5_14 = . if (SDLED_5_14 <= -1.0000 )
replace SDLED_6_14 = . if (SDLED_6_14 <= -1.0000 )
replace DRUGID_15 = . if (DRUGID_15 <= -1 )
replace CATID_1_15 = . if (CATID_1_15 <= -1 )
replace CATID_2_15 = . if (CATID_2_15 <= -1 )
replace CATID_3_15 = . if (CATID_3_15 <= -1 )
replace ROUTE_15 = . if (ROUTE_15 <= -1 )
replace TOXTEST_15 = . if (TOXTEST_15 <= -1 )
replace SDLED_1_15 = . if (SDLED_1_15 <= -1 )
replace SDLED_2_15 = . if (SDLED_2_15 <= -1.00 )
replace SDLED_3_15 = . if (SDLED_3_15 <= -1.00 )
replace SDLED_4_15 = . if (SDLED_4_15 <= -1.0000 )
replace SDLED_5_15 = . if (SDLED_5_15 <= -1.0000 )
replace SDLED_6_15 = . if (SDLED_6_15 <= -1.0000 )
replace DRUGID_16 = . if (DRUGID_16 <= -1 )
replace CATID_1_16 = . if (CATID_1_16 <= -1 )
replace CATID_2_16 = . if (CATID_2_16 <= -1 )
replace CATID_3_16 = . if (CATID_3_16 <= -1 )
replace ROUTE_16 = . if (ROUTE_16 <= -1 )
replace TOXTEST_16 = . if (TOXTEST_16 <= -1 )
replace SDLED_1_16 = . if (SDLED_1_16 <= -1 )
replace SDLED_2_16 = . if (SDLED_2_16 <= -1.00 )
replace SDLED_3_16 = . if (SDLED_3_16 <= -1.00 )
replace SDLED_4_16 = . if (SDLED_4_16 <= -1.0000 )
replace SDLED_5_16 = . if (SDLED_5_16 <= -1.0000 )
replace SDLED_6_16 = . if (SDLED_6_16 <= -1.0000 )
replace DRUGID_17 = . if (DRUGID_17 <= -1 )
replace CATID_1_17 = . if (CATID_1_17 <= -1 )
replace CATID_2_17 = . if (CATID_2_17 <= -1 )
replace CATID_3_17 = . if (CATID_3_17 <= -1 )
replace ROUTE_17 = . if (ROUTE_17 <= -1 )
replace TOXTEST_17 = . if (TOXTEST_17 <= -1 )
replace SDLED_1_17 = . if (SDLED_1_17 <= -1 )
replace SDLED_2_17 = . if (SDLED_2_17 <= -1.00 )
replace SDLED_3_17 = . if (SDLED_3_17 <= -1.00 )
replace SDLED_4_17 = . if (SDLED_4_17 <= -1.0000 )
replace SDLED_5_17 = . if (SDLED_5_17 <= -1.0000 )
replace SDLED_6_17 = . if (SDLED_6_17 <= -1.0000 )
replace DRUGID_18 = . if (DRUGID_18 <= -1 )
replace CATID_1_18 = . if (CATID_1_18 <= -1 )
replace CATID_2_18 = . if (CATID_2_18 <= -1 )
replace CATID_3_18 = . if (CATID_3_18 <= -1 )
replace ROUTE_18 = . if (ROUTE_18 <= -1 )
replace TOXTEST_18 = . if (TOXTEST_18 <= -1 )
replace SDLED_1_18 = . if (SDLED_1_18 <= -1 )
replace SDLED_2_18 = . if (SDLED_2_18 <= -1.00 )
replace SDLED_3_18 = . if (SDLED_3_18 <= -1.00 )
replace SDLED_4_18 = . if (SDLED_4_18 <= -1.0000 )
replace SDLED_5_18 = . if (SDLED_5_18 <= -1.0000 )
replace SDLED_6_18 = . if (SDLED_6_18 <= -1.0000 )
replace DRUGID_19 = . if (DRUGID_19 <= -1 )
replace CATID_1_19 = . if (CATID_1_19 <= -1 )
replace CATID_2_19 = . if (CATID_2_19 <= -1 )
replace CATID_3_19 = . if (CATID_3_19 <= -1 )
replace ROUTE_19 = . if (ROUTE_19 <= -1 )
replace TOXTEST_19 = . if (TOXTEST_19 <= -1 )
replace SDLED_1_19 = . if (SDLED_1_19 <= -1 )
replace SDLED_2_19 = . if (SDLED_2_19 <= -1.00 )
replace SDLED_3_19 = . if (SDLED_3_19 <= -1.00 )
replace SDLED_4_19 = . if (SDLED_4_19 <= -1.0000 )
replace SDLED_5_19 = . if (SDLED_5_19 <= -1.0000 )
replace SDLED_6_19 = . if (SDLED_6_19 <= -1.0000 )
replace DRUGID_20 = . if (DRUGID_20 <= -1 )
replace CATID_1_20 = . if (CATID_1_20 <= -1 )
replace CATID_2_20 = . if (CATID_2_20 <= -1 )
replace CATID_3_20 = . if (CATID_3_20 <= -1 )
replace ROUTE_20 = . if (ROUTE_20 <= -1 )
replace TOXTEST_20 = . if (TOXTEST_20 <= -1 )
replace SDLED_1_20 = . if (SDLED_1_20 <= -1 )
replace SDLED_2_20 = . if (SDLED_2_20 <= -1.00 )
replace SDLED_3_20 = . if (SDLED_3_20 <= -1.00 )
replace SDLED_4_20 = . if (SDLED_4_20 <= -1.0000 )
replace SDLED_5_20 = . if (SDLED_5_20 <= -1.0000 )
replace SDLED_6_20 = . if (SDLED_6_20 <= -1.0000 )
replace DRUGID_21 = . if (DRUGID_21 <= -1 )
replace CATID_1_21 = . if (CATID_1_21 <= -1 )
replace CATID_2_21 = . if (CATID_2_21 <= -1 )
replace CATID_3_21 = . if (CATID_3_21 <= -1 )
replace ROUTE_21 = . if (ROUTE_21 <= -1 )
replace TOXTEST_21 = . if (TOXTEST_21 <= -1 )
replace SDLED_1_21 = . if (SDLED_1_21 <= -1 )
replace SDLED_2_21 = . if (SDLED_2_21 <= -1.00 )
replace SDLED_3_21 = . if (SDLED_3_21 <= -1.00 )
replace SDLED_4_21 = . if (SDLED_4_21 <= -1.0000 )
replace SDLED_5_21 = . if (SDLED_5_21 <= -1.0000 )
replace SDLED_6_21 = . if (SDLED_6_21 <= -1.0000 )
replace DRUGID_22 = . if (DRUGID_22 <= -1 )
replace CATID_1_22 = . if (CATID_1_22 <= -1 )
replace CATID_2_22 = . if (CATID_2_22 <= -1 )
replace CATID_3_22 = . if (CATID_3_22 <= -1 )
replace ROUTE_22 = . if (ROUTE_22 <= -1 )
replace TOXTEST_22 = . if (TOXTEST_22 <= -1 )
replace SDLED_1_22 = . if (SDLED_1_22 <= -1 )
replace SDLED_2_22 = . if (SDLED_2_22 <= -1.00 )
replace SDLED_3_22 = . if (SDLED_3_22 <= -1.00 )
replace SDLED_4_22 = . if (SDLED_4_22 <= -1.0000 )
replace SDLED_5_22 = . if (SDLED_5_22 <= -1.0000 )
replace SDLED_6_22 = . if (SDLED_6_22 <= -1.0000 )
replace DISPOSITION = . if (DISPOSITION <= -1 )


